Subject: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Feb 2014 20:04:52 +0200

> Date: Fri, 21 Feb 2014 08:43:09 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> Cc: [email-masked]

[This doesn't really belong to this bug report.]

> I tried to install MinGW/MSYS as described in nt/INSTALL. I started msys.bat
> and configured with "./configure --prefix=/d/bin/emacs-mingw" .It configured well

No, it didn't configure well.  One can see the signs of trouble
already here:

> Configured for `i686-pc-mingw32'.
> 
>   Where should the build process find the source code?    .
>   What compiler should emacs be built with?               gcc  -std=gnu99 -g3 -O2 -gdwarf-2
>   Should Emacs use the GNU version of malloc?             yes
>   Should Emacs use a relocating allocator for buffers?    yes
>   Should Emacs use mmap(2) for buffer allocation?         no
>   What window system should Emacs use?                    w32
>   What toolkit should Emacs use?                          none
>   Where do we find X Windows header files?                NONE
>   Where do we find X Windows libraries?                   NONE
>   Does Emacs use -lXaw3d?                                 no
>   Does Emacs use -lXpm?                                   no
>   Does Emacs use -ljpeg?                                  no
>   Does Emacs use -ltiff?                                  no
>   Does Emacs use a gif library?                           no
>   Does Emacs use -lpng?                                   no
>   Does Emacs use -lrsvg-2?                                yes
>   Does Emacs use imagemagick?                             yes
                                                            ^^^
>   Does Emacs support sound?                               yes
>   Does Emacs use -lgpm?                                   no
>   Does Emacs use -ldbus?                                  yes
                                                            ^^^
>   Does Emacs use -lgconf?                                 no
>   Does Emacs use GSettings?                               no
>   Does Emacs use a file notification library?             yes -lgio (gfile)
                                                            ^^^^^^^^^^^^^^^^^
>   Does Emacs use access control lists?                    yes
>   Does Emacs use -lselinux?                               no
>   Does Emacs use -lgnutls?                                yes
>   Does Emacs use -lxml2?                                  yes
>   Does Emacs use -lfreetype?                              no
>   Does Emacs use -lm17n-flt?                              no
>   Does Emacs use -lotf?                                   no
>   Does Emacs use -lxft?                                   no
>   Does Emacs directly use zlib?                           no
>   Does Emacs use toolkit scroll bars?                     yes
> gcc  -std=gnu99 -mtune=pentium4    -I. -I.   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt/inc -g3 -O2 -gdwarf-2
> ./addsection.c -o addsection.exe
> In file included from /usr/include/sys/fcntl.h:164,
>                  from /usr/include/fcntl.h:14,
>                  from ./addsection.c:26:
> /d/home/hs/src/emacs.git/nt/inc/sys/stat.h:90: error: parse error before "st_ino"

Looks like you don't have MinGW Windows headers, at least some of
them.  Did you install the w32 API headers?

And here's the evidence that you probably didn't:

> checking windows.h usability... no
> checking windows.h presence... yes
> configure: WARNING: windows.h: present but cannot be compiled
> configure: WARNING: windows.h:     check for missing prerequisite headers?
> configure: WARNING: windows.h: see the Autoconf documentation
> configure: WARNING: windows.h:     section "Present But Cannot Be Compiled"
> configure: WARNING: windows.h: proceeding with the compiler's result
> checking for windows.h... no

Likewise this:

> checking netinet/in.h usability... no
> checking netinet/in.h presence... yes
> configure: WARNING: netinet/in.h: present but cannot be compiled
> configure: WARNING: netinet/in.h:     check for missing prerequisite headers?
> configure: WARNING: netinet/in.h: see the Autoconf documentation
> configure: WARNING: netinet/in.h:     section "Present But Cannot Be Compiled"
> configure: WARNING: netinet/in.h: proceeding with the compiler's result
> checking for netinet/in.h... no

Look in config.log, it should probably tell you right away what is
wrong with your MinGW/MSYS installation.

Also, this:

> checking for gnutls >= 3.0.0... yes CFLAGS='-I/usr/include/p11-kit-1  ' LIBS='-L/usr/bin -lgnutls -lnettle -lhogweed -lgmp -ltasn1 -lp11-kit -lz  '

looks wrong: the file names without drive letters seem to suggest that
you installed the MinGW headers into the same tree as MSYS?  I don't
recommend that.